- Qt 6.6
- Qt Graphs
- QML Types
- QtGraphs (Technical Preview)
- ScatterDataProxy
- Qt Graphs | Commercial or GPLv3

# ScatterDataProxy QML Type

The data proxy for 3D scatter graphs. More...

Import Statement: | import QtGraphs 6.6
Instantiates: | QScatterDataProxy
Inherits: | AbstractDataProxy
Inherited By: | ItemModelScatterDataProxy
Status: | Technical Preview

- List of all members, including inherited members

## Properties

- itemCount : int
- series : Scatter3DSeries

## Detailed Description

This type handles adding, inserting, changing, and removing data items.

This type is uncreatable, but contains properties that are exposed via subtypes.

See also ItemModelScatterDataProxy and Qt Graphs Data Handling.

## Property Documentation

[read-only] itemCount : int

The number of items in the array.

[read-only] series : Scatter3DSeries

The series this proxy is attached to.